@use '../utils/variables' as var;
@use '../utils/mixins';

.footer {
    background-color: var.$navcolor;
    height: 180px;

    @media (max-width: 768px) {
        height: 100px
    }

    @media (max-width: 513px) {
        height: 130px
    }
}

.footer__container {
    @include mixins.wrapper;

    @media (max-width: 768px) {
        display: flex;
        justify-content: space-between;
    }

    @media (max-width: 513px) {
        display: block;
    }
}

.footer__logo {
    margin-top: 30px;
    margin-left: 15px;
}

.footer__lists-container {
    display: inline-flex;
    align-items: center;

    @media (max-width: 992px) {
        margin-left: 40px;
    }

    @media (max-width: 768px) {
        display: none;
    }
}

.footer__list {
    list-style: none;
    padding: 0;
    margin: 0 0 0 6.831vw;

    @media (max-width: 992px) {
        font-size: 1em;
        margin-left: 4.5vw;
    }
}

.footer__item {
    font-weight: var.$font-bold;
    margin-top: 5px;

    &--red {
        font-weight: var.$font-extra-bold;
        color: var.$boldcolor;
    }

    @media (max-width: 992px) {
        font-size: 0.9em
    }
}

.footer__link {
    color: var.$textcolor;

    &:hover {
        opacity: 0.7;
        color: var.$textcolor;
        text-decoration: none;
    }
}

.footer__copyright {
    display: block;
    color: var.$textcolor;
    font-weight: var.$font-bold;
    margin-top: -20px;
    margin-bottom: 20px;
    margin-left: 15px;

    @media (max-width: 768px) {
        margin-top: 45px;
        margin-right: 20px;
    }

    @media (max-width: 513px) {
        margin-top: 0px;
        padding-bottom: 20px;
    }
}